pw_protocol_marshal Struct Reference

## Data Fields

const char * | type
| interface type More...
uint32_t | version
| version More...
const void * | method_marshal
const void * | method_demarshal
uint32_t | n_methods
| number of methods in the interface More...
const void * | event_marshal
const void * | event_demarshal
uint32_t | n_events
| number of events in the interface More...

## Field Documentation

## event_demarshal

const void* pw_protocol_marshal::event_demarshal

## event_marshal

const void* pw_protocol_marshal::event_marshal

## method_demarshal

const void* pw_protocol_marshal::method_demarshal

## method_marshal

const void* pw_protocol_marshal::method_marshal

## n_events

uint32_t pw_protocol_marshal::n_events

number of events in the interface

## n_methods

uint32_t pw_protocol_marshal::n_methods

number of methods in the interface

## type

const char* pw_protocol_marshal::type

interface type

Referenced by pw_protocol_add_marshal().

## version

uint32_t pw_protocol_marshal::version

version

Referenced by pw_protocol_add_marshal().

The documentation for this struct was generated from the following file:

- protocol.h